package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadHSValueCommandResponse;

public class ReadHSValueCommand extends ReadMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4751118509338498554L;

	@Override
	public Class<ReadHSValueCommandResponse> getResponseClass() {
		return ReadHSValueCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询硫化氢监测值命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READHSVALUE;
	}

}
